#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-LYJNtRqEFV6HcNHAf9ZuUo-dns-internal
key:                  dns-4.1.1-LYJNtRqEFV6HcNHAf9ZuUo-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  0fee0c0f9fd8b1ea7d596bc1d8e39c1c
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-LYJNtRqEFV6HcNHAf9ZuUo-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-FpYc2RUKqMh7VEhubouhdj
    attoparsec-0.14.4-K2NonRChA499lXmUebatlk
    auto-update-0.1.6-JaeYEMKS65XFrpL32DmbIU base-4.16.4.0
    base16-bytestring-1.0.2.0-6hSv34vJ6ohK7RPuedEiA
    base64-bytestring-1.2.1.0-2dEVVxoZaaUJho1GaZa8ak
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-6YvMZzide0SGeZXWMWMOBC
    containers-0.6.5.1 cryptonite-0.30-HZCyAPcykYlJq8aNFFA6J6
    hourglass-0.2.12-BJnGrPpEnFv6qsbjXcI2fh
    iproute-1.7.14-H28e722kEUP21eIO04jrJM mtl-2.2.2
    network-3.1.4.0-GfG23cgXhomCxCQnvsPNoG
    psqueues-0.2.8.0-C4GoTG40DYX9yv1qlr7yFQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-JGK1Na2d3nT6GhHXoX95Bh
key:                  dns-4.1.1-JGK1Na2d3nT6GhHXoX95Bh
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  3a13ce157d73282e2c85ed6b1da68b52
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-JGK1Na2d3nT6GhHXoX95Bh
depends:
    array-0.5.4.0 async-2.2.5-FpYc2RUKqMh7VEhubouhdj
    attoparsec-0.14.4-K2NonRChA499lXmUebatlk
    auto-update-0.1.6-JaeYEMKS65XFrpL32DmbIU base-4.16.4.0
    base16-bytestring-1.0.2.0-6hSv34vJ6ohK7RPuedEiA
    base64-bytestring-1.2.1.0-2dEVVxoZaaUJho1GaZa8ak
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-HZCyAPcykYlJq8aNFFA6J6
    dns-4.1.1-LYJNtRqEFV6HcNHAf9ZuUo-dns-internal
    hourglass-0.2.12-BJnGrPpEnFv6qsbjXcI2fh
    iproute-1.7.14-H28e722kEUP21eIO04jrJM mtl-2.2.2
    network-3.1.4.0-GfG23cgXhomCxCQnvsPNoG
    psqueues-0.2.8.0-C4GoTG40DYX9yv1qlr7yFQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

